<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref0.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.ASG.ASG - Synopsis.ASG.Group.__init__</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.ASG.ASG - Synopsis.ASG.Group.__init__</h1><div class="xref-name"><a id="Synopsis.ASG.ASG" /><h2 >Class Synopsis.ASG.ASG</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ASG.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#591">Synopsis/ASG.py:591</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#595">Synopsis/ASG.py:595</a>: Attribute <a href="../Scopes/Synopsis/ASG/ASG.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#596">Synopsis/ASG.py:596</a>: Attribute <a href="../Scopes/Synopsis/ASG/ASG.html#types" >types</a></li><li ><a href="../Source/Synopsis/ASG.py.html#593">Synopsis/ASG.py:593</a>: Method <a href="../Scopes/Synopsis/ASG/ASG.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#598">Synopsis/ASG.py:598</a>: Method <a href="../Scopes/Synopsis/ASG/ASG.html#copy" >copy</a></li><li ><a href="../Source/Synopsis/ASG.py.html#603">Synopsis/ASG.py:603</a>: Method <a href="../Scopes/Synopsis/ASG/ASG.html#merge" >merge</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ASG.__init__" /><h2 >Method Synopsis.ASG.ASG.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ASG.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#593">Synopsis/ASG.py:593</a>: in class <a href="../Scopes/Synopsis/ASG/ASG.html" >Synopsis.ASG.ASG</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ASG.copy" /><h2 >Method Synopsis.ASG.ASG.copy</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ASG.html#copy" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#598">Synopsis/ASG.py:598</a>: in class <a href="../Scopes/Synopsis/ASG/ASG.html" >Synopsis.ASG.ASG</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ASG.merge" /><h2 >Method Synopsis.ASG.ASG.merge</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ASG.html#merge" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#603">Synopsis/ASG.py:603</a>: in class <a href="../Scopes/Synopsis/ASG/ASG.html" >Synopsis.ASG.ASG</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ArrayTypeId" /><h2 >Class Synopsis.ASG.ArrayTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ArrayTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#167">Synopsis/ASG.py:167</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#172">Synopsis/ASG.py:172</a>: Attribute <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#alias" >alias</a></li><li ><a href="../Source/Synopsis/ASG.py.html#173">Synopsis/ASG.py:173</a>: Attribute <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#sizes" >sizes</a></li><li ><a href="../Source/Synopsis/ASG.py.html#170">Synopsis/ASG.py:170</a>: Method <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#174">Synopsis/ASG.py:174</a>: Method <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#175">Synopsis/ASG.py:175</a>: Method <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#180">Synopsis/ASG.py:180</a>: Method <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ArrayTypeId.__cmp__" /><h2 >Method Synopsis.ASG.ArrayTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#175">Synopsis/ASG.py:175</a>: in class <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html" >Synopsis.ASG.ArrayTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ArrayTypeId.__init__" /><h2 >Method Synopsis.ASG.ArrayTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#170">Synopsis/ASG.py:170</a>: in class <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html" >Synopsis.ASG.ArrayTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ArrayTypeId.__str__" /><h2 >Method Synopsis.ASG.ArrayTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#180">Synopsis/ASG.py:180</a>: in class <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html" >Synopsis.ASG.ArrayTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ArrayTypeId.accept" /><h2 >Method Synopsis.ASG.ArrayTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ArrayTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#174">Synopsis/ASG.py:174</a>: in class <a href="../Scopes/Synopsis/ASG/ArrayTypeId.html" >Synopsis.ASG.ArrayTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Builtin" /><h2 >Class Synopsis.ASG.Builtin</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Builtin.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#268">Synopsis/ASG.py:268</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#271">Synopsis/ASG.py:271</a>: Method <a href="../Scopes/Synopsis/ASG/Builtin.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Builtin.accept" /><h2 >Method Synopsis.ASG.Builtin.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Builtin.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#271">Synopsis/ASG.py:271</a>: in class <a href="../Scopes/Synopsis/ASG/Builtin.html" >Synopsis.ASG.Builtin</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.BuiltinTypeId" /><h2 >Class Synopsis.ASG.BuiltinTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#79">Synopsis/ASG.py:79</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#82">Synopsis/ASG.py:82</a>: Method <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#84">Synopsis/ASG.py:84</a>: Method <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#85">Synopsis/ASG.py:85</a>: Method <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#88">Synopsis/ASG.py:88</a>: Method <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.BuiltinTypeId.__cmp__" /><h2 >Method Synopsis.ASG.BuiltinTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#85">Synopsis/ASG.py:85</a>: in class <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html" >Synopsis.ASG.BuiltinTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.BuiltinTypeId.__init__" /><h2 >Method Synopsis.ASG.BuiltinTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#82">Synopsis/ASG.py:82</a>: in class <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html" >Synopsis.ASG.BuiltinTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.BuiltinTypeId.__str__" /><h2 >Method Synopsis.ASG.BuiltinTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#88">Synopsis/ASG.py:88</a>: in class <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html" >Synopsis.ASG.BuiltinTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.BuiltinTypeId.accept" /><h2 >Method Synopsis.ASG.BuiltinTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#84">Synopsis/ASG.py:84</a>: in class <a href="../Scopes/Synopsis/ASG/BuiltinTypeId.html" >Synopsis.ASG.BuiltinTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Class" /><h2 >Class Synopsis.ASG.Class</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Class.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#382">Synopsis/ASG.py:382</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#387">Synopsis/ASG.py:387</a>: Attribute <a href="../Scopes/Synopsis/ASG/Class.html#parents" >parents</a></li><li ><a href="../Source/Synopsis/ASG.py.html#388">Synopsis/ASG.py:388</a>: Attribute <a href="../Scopes/Synopsis/ASG/Class.html#is_template_specialization" >is_template_specialization</a></li><li ><a href="../Source/Synopsis/ASG.py.html#389">Synopsis/ASG.py:389</a>: Attribute <a href="../Scopes/Synopsis/ASG/Class.html#primary_template" >primary_template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#384">Synopsis/ASG.py:384</a>: Method <a href="../Scopes/Synopsis/ASG/Class.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#391">Synopsis/ASG.py:391</a>: Method <a href="../Scopes/Synopsis/ASG/Class.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Class.__init__" /><h2 >Method Synopsis.ASG.Class.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Class.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#384">Synopsis/ASG.py:384</a>: in class <a href="../Scopes/Synopsis/ASG/Class.html" >Synopsis.ASG.Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Class.accept" /><h2 >Method Synopsis.ASG.Class.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Class.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#391">Synopsis/ASG.py:391</a>: in class <a href="../Scopes/Synopsis/ASG/Class.html" >Synopsis.ASG.Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ClassTemplate" /><h2 >Class Synopsis.ASG.ClassTemplate</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ClassTemplate.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#394">Synopsis/ASG.py:394</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#400">Synopsis/ASG.py:400</a>: Attribute <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#parents" >parents</a></li><li ><a href="../Source/Synopsis/ASG.py.html#401">Synopsis/ASG.py:401</a>: Attribute <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#template" >template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#402">Synopsis/ASG.py:402</a>: Attribute <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#is_template_specialization" >is_template_specialization</a></li><li ><a href="../Source/Synopsis/ASG.py.html#403">Synopsis/ASG.py:403</a>: Attribute <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#primary_template" >primary_template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#404">Synopsis/ASG.py:404</a>: Attribute <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#specializations" >specializations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#396">Synopsis/ASG.py:396</a>: Method <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#406">Synopsis/ASG.py:406</a>: Method <a href="../Scopes/Synopsis/ASG/ClassTemplate.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ClassTemplate.__init__" /><h2 >Method Synopsis.ASG.ClassTemplate.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ClassTemplate.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#396">Synopsis/ASG.py:396</a>: in class <a href="../Scopes/Synopsis/ASG/ClassTemplate.html" >Synopsis.ASG.ClassTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ClassTemplate.accept" /><h2 >Method Synopsis.ASG.ClassTemplate.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ClassTemplate.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#406">Synopsis/ASG.py:406</a>: in class <a href="../Scopes/Synopsis/ASG/ClassTemplate.html" >Synopsis.ASG.ClassTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Const" /><h2 >Class Synopsis.ASG.Const</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Const.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#457">Synopsis/ASG.py:457</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#462">Synopsis/ASG.py:462</a>: Attribute <a href="../Scopes/Synopsis/ASG/Const.html#ctype" >ctype</a></li><li ><a href="../Source/Synopsis/ASG.py.html#463">Synopsis/ASG.py:463</a>: Attribute <a href="../Scopes/Synopsis/ASG/Const.html#value" >value</a></li><li ><a href="../Source/Synopsis/ASG.py.html#460">Synopsis/ASG.py:460</a>: Method <a href="../Scopes/Synopsis/ASG/Const.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#465">Synopsis/ASG.py:465</a>: Method <a href="../Scopes/Synopsis/ASG/Const.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Const.__init__" /><h2 >Method Synopsis.ASG.Const.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Const.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#460">Synopsis/ASG.py:460</a>: in class <a href="../Scopes/Synopsis/ASG/Const.html" >Synopsis.ASG.Const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Const.accept" /><h2 >Method Synopsis.ASG.Const.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Const.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#465">Synopsis/ASG.py:465</a>: in class <a href="../Scopes/Synopsis/ASG/Const.html" >Synopsis.ASG.Const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Debugger" /><h2 >Class Synopsis.ASG.Debugger</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Debugger.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#39">Synopsis/ASG.py:39</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#43">Synopsis/ASG.py:43</a>: Method <a href="../Scopes/Synopsis/ASG/Debugger.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Debugger.__init__" /><h2 >Method Synopsis.ASG.Debugger.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Debugger.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#43">Synopsis/ASG.py:43</a>: in class <a href="../Scopes/Synopsis/ASG/Debugger.html" >Synopsis.ASG.Debugger</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Declaration" /><h2 >Class Synopsis.ASG.Declaration</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Declaration.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#241">Synopsis/ASG.py:241</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#250">Synopsis/ASG.py:250</a>: Attribute <a href="../Scopes/Synopsis/ASG/Declaration.html#file" >file</a></li><li ><a href="../Source/Synopsis/ASG.py.html#252">Synopsis/ASG.py:252</a>: Attribute <a href="../Scopes/Synopsis/ASG/Declaration.html#line" >line</a></li><li ><a href="../Source/Synopsis/ASG.py.html#254">Synopsis/ASG.py:254</a>: Attribute <a href="../Scopes/Synopsis/ASG/Declaration.html#name" >name</a></li><li ><a href="../Source/Synopsis/ASG.py.html#256">Synopsis/ASG.py:256</a>: Attribute <a href="../Scopes/Synopsis/ASG/Declaration.html#type" >type</a></li><li ><a href="../Source/Synopsis/ASG.py.html#258">Synopsis/ASG.py:258</a>: Attribute <a href="../Scopes/Synopsis/ASG/Declaration.html#accessibility" >accessibility</a></li><li ><a href="../Source/Synopsis/ASG.py.html#260">Synopsis/ASG.py:260</a>: Attribute <a href="../Scopes/Synopsis/ASG/Declaration.html#annotations" >annotations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#248">Synopsis/ASG.py:248</a>: Method <a href="../Scopes/Synopsis/ASG/Declaration.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#263">Synopsis/ASG.py:263</a>: Method <a href="../Scopes/Synopsis/ASG/Declaration.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Declaration.__init__" /><h2 >Method Synopsis.ASG.Declaration.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Declaration.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#248">Synopsis/ASG.py:248</a>: in class <a href="../Scopes/Synopsis/ASG/Declaration.html" >Synopsis.ASG.Declaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Declaration.accept" /><h2 >Method Synopsis.ASG.Declaration.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Declaration.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#263">Synopsis/ASG.py:263</a>: in class <a href="../Scopes/Synopsis/ASG/Declaration.html" >Synopsis.ASG.Declaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DeclaredTypeId" /><h2 >Class Synopsis.ASG.DeclaredTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#118">Synopsis/ASG.py:118</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#123">Synopsis/ASG.py:123</a>: Attribute <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#declaration" >declaration</a></li><li ><a href="../Source/Synopsis/ASG.py.html#121">Synopsis/ASG.py:121</a>: Method <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#125">Synopsis/ASG.py:125</a>: Method <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#126">Synopsis/ASG.py:126</a>: Method <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#129">Synopsis/ASG.py:129</a>: Method <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DeclaredTypeId.__cmp__" /><h2 >Method Synopsis.ASG.DeclaredTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#126">Synopsis/ASG.py:126</a>: in class <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html" >Synopsis.ASG.DeclaredTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DeclaredTypeId.__init__" /><h2 >Method Synopsis.ASG.DeclaredTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#121">Synopsis/ASG.py:121</a>: in class <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html" >Synopsis.ASG.DeclaredTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DeclaredTypeId.__str__" /><h2 >Method Synopsis.ASG.DeclaredTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#129">Synopsis/ASG.py:129</a>: in class <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html" >Synopsis.ASG.DeclaredTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DeclaredTypeId.accept" /><h2 >Method Synopsis.ASG.DeclaredTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#125">Synopsis/ASG.py:125</a>: in class <a href="../Scopes/Synopsis/ASG/DeclaredTypeId.html" >Synopsis.ASG.DeclaredTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DependentTypeId" /><h2 >Class Synopsis.ASG.DependentTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DependentTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#90">Synopsis/ASG.py:90</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#93">Synopsis/ASG.py:93</a>: Method <a href="../Scopes/Synopsis/ASG/DependentTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#95">Synopsis/ASG.py:95</a>: Method <a href="../Scopes/Synopsis/ASG/DependentTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#96">Synopsis/ASG.py:96</a>: Method <a href="../Scopes/Synopsis/ASG/DependentTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#99">Synopsis/ASG.py:99</a>: Method <a href="../Scopes/Synopsis/ASG/DependentTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DependentTypeId.__cmp__" /><h2 >Method Synopsis.ASG.DependentTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DependentTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#96">Synopsis/ASG.py:96</a>: in class <a href="../Scopes/Synopsis/ASG/DependentTypeId.html" >Synopsis.ASG.DependentTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DependentTypeId.__init__" /><h2 >Method Synopsis.ASG.DependentTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DependentTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#93">Synopsis/ASG.py:93</a>: in class <a href="../Scopes/Synopsis/ASG/DependentTypeId.html" >Synopsis.ASG.DependentTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DependentTypeId.__str__" /><h2 >Method Synopsis.ASG.DependentTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DependentTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#99">Synopsis/ASG.py:99</a>: in class <a href="../Scopes/Synopsis/ASG/DependentTypeId.html" >Synopsis.ASG.DependentTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.DependentTypeId.accept" /><h2 >Method Synopsis.ASG.DependentTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/DependentTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#95">Synopsis/ASG.py:95</a>: in class <a href="../Scopes/Synopsis/ASG/DependentTypeId.html" >Synopsis.ASG.DependentTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Dictionary" /><h2 >Class Synopsis.ASG.Dictionary</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Dictionary.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#214">Synopsis/ASG.py:214</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#217">Synopsis/ASG.py:217</a>: Method <a href="../Scopes/Synopsis/ASG/Dictionary.html#lookup" >lookup</a></li><li ><a href="../Source/Synopsis/ASG.py.html#229">Synopsis/ASG.py:229</a>: Method <a href="../Scopes/Synopsis/ASG/Dictionary.html#merge" >merge</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Dictionary.lookup" /><h2 >Method Synopsis.ASG.Dictionary.lookup</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Dictionary.html#lookup" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#217">Synopsis/ASG.py:217</a>: in class <a href="../Scopes/Synopsis/ASG/Dictionary.html" >Synopsis.ASG.Dictionary</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Dictionary.merge" /><h2 >Method Synopsis.ASG.Dictionary.merge</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Dictionary.html#merge" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#229">Synopsis/ASG.py:229</a>: in class <a href="../Scopes/Synopsis/ASG/Dictionary.html" >Synopsis.ASG.Dictionary</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Enum" /><h2 >Class Synopsis.ASG.Enum</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Enum.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#429">Synopsis/ASG.py:429</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#436">Synopsis/ASG.py:436</a>: Attribute <a href="../Scopes/Synopsis/ASG/Enum.html#enumerators" >enumerators</a></li><li ><a href="../Source/Synopsis/ASG.py.html#439">Synopsis/ASG.py:439</a>: Attribute <a href="../Scopes/Synopsis/ASG/Enum.html#eos" >eos</a></li><li ><a href="../Source/Synopsis/ASG.py.html#433">Synopsis/ASG.py:433</a>: Method <a href="../Scopes/Synopsis/ASG/Enum.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#443">Synopsis/ASG.py:443</a>: Method <a href="../Scopes/Synopsis/ASG/Enum.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Enum.__init__" /><h2 >Method Synopsis.ASG.Enum.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Enum.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#433">Synopsis/ASG.py:433</a>: in class <a href="../Scopes/Synopsis/ASG/Enum.html" >Synopsis.ASG.Enum</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Enum.accept" /><h2 >Method Synopsis.ASG.Enum.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Enum.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#443">Synopsis/ASG.py:443</a>: in class <a href="../Scopes/Synopsis/ASG/Enum.html" >Synopsis.ASG.Enum</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Enumerator" /><h2 >Class Synopsis.ASG.Enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Enumerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#419">Synopsis/ASG.py:419</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#425">Synopsis/ASG.py:425</a>: Attribute <a href="../Scopes/Synopsis/ASG/Enumerator.html#value" >value</a></li><li ><a href="../Source/Synopsis/ASG.py.html#423">Synopsis/ASG.py:423</a>: Method <a href="../Scopes/Synopsis/ASG/Enumerator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#427">Synopsis/ASG.py:427</a>: Method <a href="../Scopes/Synopsis/ASG/Enumerator.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Enumerator.__init__" /><h2 >Method Synopsis.ASG.Enumerator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Enumerator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#423">Synopsis/ASG.py:423</a>: in class <a href="../Scopes/Synopsis/ASG/Enumerator.html" >Synopsis.ASG.Enumerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Enumerator.accept" /><h2 >Method Synopsis.ASG.Enumerator.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Enumerator.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#427">Synopsis/ASG.py:427</a>: in class <a href="../Scopes/Synopsis/ASG/Enumerator.html" >Synopsis.ASG.Enumerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Error" /><h2 >Class Synopsis.ASG.Error</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Error.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#30">Synopsis/ASG.py:30</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#34">Synopsis/ASG.py:34</a>: Attribute <a href="../Scopes/Synopsis/ASG/Error.html#err" >err</a></li><li ><a href="../Source/Synopsis/ASG.py.html#33">Synopsis/ASG.py:33</a>: Method <a href="../Scopes/Synopsis/ASG/Error.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#35">Synopsis/ASG.py:35</a>: Method <a href="../Scopes/Synopsis/ASG/Error.html#__repr__" >__repr__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Error.__init__" /><h2 >Method Synopsis.ASG.Error.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Error.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#33">Synopsis/ASG.py:33</a>: in class <a href="../Scopes/Synopsis/ASG/Error.html" >Synopsis.ASG.Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Error.__repr__" /><h2 >Method Synopsis.ASG.Error.__repr__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Error.html#__repr__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#35">Synopsis/ASG.py:35</a>: in class <a href="../Scopes/Synopsis/ASG/Error.html" >Synopsis.ASG.Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Forward" /><h2 >Class Synopsis.ASG.Forward</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Forward.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#306">Synopsis/ASG.py:306</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#312">Synopsis/ASG.py:312</a>: Attribute <a href="../Scopes/Synopsis/ASG/Forward.html#template" >template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#313">Synopsis/ASG.py:313</a>: Attribute <a href="../Scopes/Synopsis/ASG/Forward.html#is_template_specialization" >is_template_specialization</a></li><li ><a href="../Source/Synopsis/ASG.py.html#314">Synopsis/ASG.py:314</a>: Attribute <a href="../Scopes/Synopsis/ASG/Forward.html#primary_template" >primary_template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#315">Synopsis/ASG.py:315</a>: Attribute <a href="../Scopes/Synopsis/ASG/Forward.html#specializations" >specializations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#309">Synopsis/ASG.py:309</a>: Method <a href="../Scopes/Synopsis/ASG/Forward.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#317">Synopsis/ASG.py:317</a>: Method <a href="../Scopes/Synopsis/ASG/Forward.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Forward.__init__" /><h2 >Method Synopsis.ASG.Forward.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Forward.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#309">Synopsis/ASG.py:309</a>: in class <a href="../Scopes/Synopsis/ASG/Forward.html" >Synopsis.ASG.Forward</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Forward.accept" /><h2 >Method Synopsis.ASG.Forward.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Forward.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#317">Synopsis/ASG.py:317</a>: in class <a href="../Scopes/Synopsis/ASG/Forward.html" >Synopsis.ASG.Forward</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Function" /><h2 >Class Synopsis.ASG.Function</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Function.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#489">Synopsis/ASG.py:489</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#496">Synopsis/ASG.py:496</a>: Attribute <a href="../Scopes/Synopsis/ASG/Function.html#_real_name" >_real_name</a></li><li ><a href="../Source/Synopsis/ASG.py.html#497">Synopsis/ASG.py:497</a>: Attribute <a href="../Scopes/Synopsis/ASG/Function.html#premodifier" >premodifier</a></li><li ><a href="../Source/Synopsis/ASG.py.html#498">Synopsis/ASG.py:498</a>: Attribute <a href="../Scopes/Synopsis/ASG/Function.html#return_type" >return_type</a></li><li ><a href="../Source/Synopsis/ASG.py.html#499">Synopsis/ASG.py:499</a>: Attribute <a href="../Scopes/Synopsis/ASG/Function.html#parameters" >parameters</a></li><li ><a href="../Source/Synopsis/ASG.py.html#500">Synopsis/ASG.py:500</a>: Attribute <a href="../Scopes/Synopsis/ASG/Function.html#postmodifier" >postmodifier</a></li><li ><a href="../Source/Synopsis/ASG.py.html#501">Synopsis/ASG.py:501</a>: Attribute <a href="../Scopes/Synopsis/ASG/Function.html#exceptions" >exceptions</a></li><li ><a href="../Source/Synopsis/ASG.py.html#494">Synopsis/ASG.py:494</a>: Method <a href="../Scopes/Synopsis/ASG/Function.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#503">Synopsis/ASG.py:503</a>: Class attribute <a href="../Scopes/Synopsis/ASG/Function.html#real_name" >real_name</a></li><li ><a href="../Source/Synopsis/ASG.py.html#505">Synopsis/ASG.py:505</a>: Method <a href="../Scopes/Synopsis/ASG/Function.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#507">Synopsis/ASG.py:507</a>: Method <a href="../Scopes/Synopsis/ASG/Function.html#__cmp__" >__cmp__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Function.__cmp__" /><h2 >Method Synopsis.ASG.Function.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Function.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#507">Synopsis/ASG.py:507</a>: in class <a href="../Scopes/Synopsis/ASG/Function.html" >Synopsis.ASG.Function</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Function.__init__" /><h2 >Method Synopsis.ASG.Function.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Function.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#494">Synopsis/ASG.py:494</a>: in class <a href="../Scopes/Synopsis/ASG/Function.html" >Synopsis.ASG.Function</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Function.accept" /><h2 >Method Synopsis.ASG.Function.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Function.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#505">Synopsis/ASG.py:505</a>: in class <a href="../Scopes/Synopsis/ASG/Function.html" >Synopsis.ASG.Function</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.FunctionTemplate" /><h2 >Class Synopsis.ASG.FunctionTemplate</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/FunctionTemplate.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#512">Synopsis/ASG.py:512</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#516">Synopsis/ASG.py:516</a>: Attribute <a href="../Scopes/Synopsis/ASG/FunctionTemplate.html#template" >template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#514">Synopsis/ASG.py:514</a>: Method <a href="../Scopes/Synopsis/ASG/FunctionTemplate.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#518">Synopsis/ASG.py:518</a>: Method <a href="../Scopes/Synopsis/ASG/FunctionTemplate.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.FunctionTemplate.__init__" /><h2 >Method Synopsis.ASG.FunctionTemplate.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/FunctionTemplate.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#514">Synopsis/ASG.py:514</a>: in class <a href="../Scopes/Synopsis/ASG/FunctionTemplate.html" >Synopsis.ASG.FunctionTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.FunctionTemplate.accept" /><h2 >Method Synopsis.ASG.FunctionTemplate.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/FunctionTemplate.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#518">Synopsis/ASG.py:518</a>: in class <a href="../Scopes/Synopsis/ASG/FunctionTemplate.html" >Synopsis.ASG.FunctionTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.FunctionTypeId" /><h2 >Class Synopsis.ASG.FunctionTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/FunctionTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#202">Synopsis/ASG.py:202</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#207">Synopsis/ASG.py:207</a>: Attribute <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#return_type" >return_type</a></li><li ><a href="../Source/Synopsis/ASG.py.html#208">Synopsis/ASG.py:208</a>: Attribute <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#premod" >premod</a></li><li ><a href="../Source/Synopsis/ASG.py.html#209">Synopsis/ASG.py:209</a>: Attribute <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#parameters" >parameters</a></li><li ><a href="../Source/Synopsis/ASG.py.html#204">Synopsis/ASG.py:204</a>: Method <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#211">Synopsis/ASG.py:211</a>: Method <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.FunctionTypeId.__init__" /><h2 >Method Synopsis.ASG.FunctionTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#204">Synopsis/ASG.py:204</a>: in class <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html" >Synopsis.ASG.FunctionTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.FunctionTypeId.accept" /><h2 >Method Synopsis.ASG.FunctionTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/FunctionTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#211">Synopsis/ASG.py:211</a>: in class <a href="../Scopes/Synopsis/ASG/FunctionTypeId.html" >Synopsis.ASG.FunctionTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Group" /><h2 >Class Synopsis.ASG.Group</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Group.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#322">Synopsis/ASG.py:322</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#332">Synopsis/ASG.py:332</a>: Attribute <a href="../Scopes/Synopsis/ASG/Group.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#329">Synopsis/ASG.py:329</a>: Method <a href="../Scopes/Synopsis/ASG/Group.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#334">Synopsis/ASG.py:334</a>: Method <a href="../Scopes/Synopsis/ASG/Group.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Group.__init__" /><h2 >Method Synopsis.ASG.Group.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Group.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#329">Synopsis/ASG.py:329</a>: in class <a href="../Scopes/Synopsis/ASG/Group.html" >Synopsis.ASG.Group</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
